Phone Numbers

List All Phone Numbers

get

Returns a list of available phone numbers for your account, with options for filtering.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
Query parameters
IdstringOptional

Filter by one or more specific Phone Number IDs, provided as a comma-separated list.

LastDateAssignedstring · date-timeOptional

Filter for numbers last assigned on a specific date (ISO 8601).

LastDateReleasedstring · date-timeOptional

Filter for numbers last released on a specific date (ISO 8601).

NumberstringOptional

Filter by one or more specific phone numbers, provided as a comma-separated list.

Responses
200

A paginated list of phone number objects.

application/json
get
/Advertisers/{AccountSID}/PhoneNumbers
cURL
200

A paginated list of phone number objects.

Get Phone Number Details

get

Retrieves the details of a specific phone number by its unique ID.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
PhoneNumberIdintegerRequired

The unique identifier for the phone number.

Responses
200

A single phone number object.

application/json
IdintegerOptional

Unique identifier for the phone number (Phone Number ID).

Example: 12345
CountrystringOptional

Two-letter country code for the number (ISO 3166).

Example: US
NumberstringOptional

The full phone number.

Example: 8051234567
InternationalNumberstringOptional

The full phone number with the international prefix.

Example: +1 805 123 4567
DateCreatedstring · date-time · nullableOptional

The date and time the phone number was created.

Example: 2026-01-15T10:00:00-08:00
LastDateAssignedstring · date-time · nullableOptional

The date and time the phone number was last assigned to a partner.

Example: 2026-02-01T10:00:00-08:00
LastDateReleasedstring · date-time · nullableOptional

The date and time the phone number was last released from a partner.

Example: 2026-03-15T10:00:00-08:00
Uristring · uri-referenceOptional

The URI path to this phone number object.

Example: /Advertisers/<AccountSID>/PhoneNumbers/12345
get
/Advertisers/{AccountSID}/PhoneNumbers/{PhoneNumberId}
cURL
200

A single phone number object.

Last updated